Bug 443031 - recovery of prepared dtx loses original order of consumed messages
recovery of prepared dtx loses original order of consumed messages
Status: NEW
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
1.0
All Linux
medium Severity high
: ---
: ---
Assigned To: messaging-bugs
Kim van der Riet
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-18 06:09 EDT by Arnaud Simon
Modified: 2013-02-25 15:33 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Arnaud Simon 2008-04-18 06:09:07 EDT
Description of problem:
dtx Rollback does not preserve message order.  

How reproducible:
The test testMultiMessagesDurSubCrash from
org.apache.qpid.test.unit.xa.TopicTest exhibits this behavior. 
The following profile should be used: 
---------------------------------------------------------
broker.version=0-10
broker=${project.root}/../cpp/src/qpidd --data-dir ${build.data} -t
--load-module ${project.root}/../../cppStore/cpp/lib/.libs/libbdbstore.so
--store-async yes --auth no
broker.clean=${project.root}/clean-dir ${build.data}
java.naming.provider.url=${project.root}/test-provider.properties
max_prefetch=0
test.excludes=true
test.excludesfile=${project.root}/myExcludeList
log=info
amqj.logging.level=$log
root.logging.level=$log
log4j.configuration=file://${project.root}/log4j-test.xml
test.fork=no
test.mem=512M
test=*TopicTest
test1=*TopicTest
haltonfailure=no
haltonerror=no
------------------------------------------------------------------

Where myExcludeList contains: 

------------------------------------
org.apache.qpid.test.unit.xa.TopicTest#testMigrateDurableSubscriber
org.apache.qpid.test.unit.xa.TopicTest#testDurSub
org.apache.qpid.test.unit.xa.TopicTest#testDurSubCrash
org.apache.qpid.test.unit.xa.TopicTest#testMultiMessagesDurSub
org.apache.qpid.test.unit.xa.TopicTest#testProducer
org.apache.qpid.test.unit.xa.TopicTest#testRecover
-------------------------------------
Comment 1 Arnaud Simon 2008-04-18 06:10:27 EDT
The incriminated test does not run on CC. We must enable it before closing this
bug. 
Comment 2 Gordon Sim 2008-05-27 07:10:50 EDT
This is an issue with the way recovery works in the broker.

Note You need to log in before you can comment on or make changes to this bug.